<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Contador
 *
 * @ORM\Table(name="contador")
 * @ORM\Entity
 */
class Contador
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_con", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCon;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_con", type="string", length=20, nullable=false)
     */
    private $cveCon;

    /**
     * @var integer
     *
     * @ORM\Column(name="valor", type="integer", nullable=false)
     */
    private $valor;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;



    /**
     * Get ideCon
     *
     * @return integer
     */
    public function getIdeCon()
    {
        return $this->ideCon;
    }

    /**
     * Set cveCon
     *
     * @param string $cveCon
     *
     * @return Contador
     */
    public function setCveCon($cveCon)
    {
        $this->cveCon = $cveCon;
    
        return $this;
    }

    /**
     * Get cveCon
     *
     * @return string
     */
    public function getCveCon()
    {
        return $this->cveCon;
    }

    /**
     * Set valor
     *
     * @param integer $valor
     *
     * @return Contador
     */
    public function setValor($valor)
    {
        $this->valor = $valor;
    
        return $this;
    }

    /**
     * Get valor
     *
     * @return integer
     */
    public function getValor()
    {
        return $this->valor;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Contador
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Contador
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }
}
